%define major       0
%define libname     YODA
%define libnamedev  YODA-devel
%define develnamestatic  YODA-static-devel
%define debug_package %{nil} 
%define _unpackaged_files_terminate_build 0
%global _python_bytecompile_errors_terminate_build 0
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')


Name:           YODA
Version:        1.7.7
Release:        3%{?dist}
License:        GPLv3
Url:            http://yoda.hepforge.org/
Source0:        http://www.hepforge.org/archive/yoda/%{name}-%{version}.tar.gz
Prefix: %{_prefix}
Summary:        Plot tool
BuildRequires:   gcc-c++ autoconf binutils automake libtool zlib zlib-devel

%if  %{?rhel}%{!?rhel:0} >= 8
BuildRequires:   platform-python-devel
%endif
%if %{?fedora}%{!?fedora:0} 
BuildRequires:   python3-devel
%endif
%if %{?fedora}%{!?fedora:0} || %{?rhel}%{!?rhel:0} >= 8
BuildRequires:  python2 python2-devel
%else
BuildRequires:  Cython  python  python-devel 
%endif


%description
Needed for Rivet.

%package  devel
Summary:        Libraries and headers for %{name}
Provides:       %{name}-devel = %{version}-%{release}

%description devel
%{libnamedev} contains the libraries and header files needed to
develop programs which make use of %{name}.




%if %{?fedora}%{!?fedora:0} || %{?rhel}%{!?rhel:0} >= 8

%package  -n python2-%{name}
Summary:        python bindings for %{name}
Provides:       python2-%{name} = %{version}-%{release}

%description -n python2-%{name}
python2-%{name} contains python bindings for %{name}.
%else
%package  -n python-%{name}
Summary:        python bindings for %{name}
Provides:       python-%{name} = %{version}-%{release}

%description -n python-%{name}
python-%{name} contains python bindings for %{name}.
%endif


%prep
%setup -q



%build

%if %{?fedora}%{!?fedora:0} || %{?rhel}%{!?rhel:0} >= 8
export PYTHON=%{_bindir}/python2
export CXXFLAGS=-Wno-error
pathfix.py -pn -i %{__python2}  ./
pathfix.py -pn -i %{__python2}  bin/flat2yoda
pathfix.py -pn -i %{__python2}  bin/yoda*
pathfix.py -pn -i %{__python2}  bin/aida*
%endif

%configure

%install
%make_install  


%files -n %{libname}
%doc AUTHORS README COPYING
/usr/%_lib/lib*
/usr/%_lib/pkgconfig/*.pc
/usr/share/YODA/*

/usr/bin/*

%files -n %{libnamedev}

/usr/include/YODA/*.h
/usr/include/YODA/*.icc
/usr/include/YODA/Utils/*.h
/usr/include/YODA/Config/*.h



%if %{?fedora}%{!?fedora:0} || %{?rhel}%{!?rhel:0} >= 8
%files -n python2-%{name}
/usr/%_lib/python2.7/site-packages/*
%else
%files -n python-%{name}
/usr/%_lib/python2.7/site-packages/*
%endif

%changelog
* Fri Jan 26 2018 Andrii Verbytskyi <andrii.verbytskyi@mpp.mpg.de> 1.7.0
+ imported package YODA

